
Infrastructure - Task #2989

Story # 2987 (Closed): Track CI use during release process

Add analytics tracker to Portal pages

2012-06-20 14:19 - Dave Vieglais

Status: Closed Start date: 2012-06-20

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_portal_servlet Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: CCI-1.0.2 Story Points:  

Product Version: *   

Description

Add a google analytics tracker to the portal pages. The tracker id is "UA-15017327-10" and it can be enabled by adding the following

script to the portal pages:

var _gaq = _gaq || [];

_gaq.push(['_setAccount', 'UA-15017327-10']);

_gaq.push(['_setDomainName', 'dataone.org']);

_gaq.push(['_trackPageview']);

(function() {

var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;

ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';

var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);

})();

History

#1 - 2012-06-20 14:41 - Dave Vieglais

For non-production environments, use tracker ID of "UA-15017327-13"

Environment can probably be determined by the host name, and the appropriate tracker id set accordingly

#2 - 2012-06-28 21:59 - Ben Leinfelder

- Status changed from New to In Progress

in trunk for 1.1 release

#3 - 2012-06-28 22:05 - Ben Leinfelder

- Status changed from In Progress to Closed

added to 1.0.x branch
